package com.fufan.mtsaas.modules.sysmgr.sydept.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.sysmgr.sydept.model.SYDepVer;
import com.fufan.mtsaas.modules.sysmgr.sydept.model.SYDepVer;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
  *  Mapper 接口
 *
 * @author Liby
 * @since 2019-08-19
 */
@Repository
public interface SYDepVerDao extends BaseMapper<SYDepVer> {
    List<SYDepVer> selectList(Page page, @Param("params") Map<String, String> params);

    int insertRecords(SYDepVer sYscriptD);

    int deleteByPk(@Param("params") Map<String, String> params);
    int updateRecords(SYDepVer sYscriptD);
}